#coding:utf8

_html = '''
                <div id="pcontent" class="pcontent"><html><body><div>
<div>
   车里垃圾填埋场改造PPP项目消石灰采购招标公告 
 </div>
<div>
   车里垃圾填埋场改造PPP项目消石灰采购招标公告 
 </div>
<div>
   【信息发布时间：2021-06-15 19:27:13】 
 </div>
<div>
<p><span>车里垃圾填埋场改造PPP项目消石灰采购招标公告</span></p>
<p> </p>
<p> <span>中节能（福州）环保能源有限公司根据采购工作安排，就下述项目委托北京国电工程招标有限公司组织国内公开招标，现诚邀符合资格要求的潜在投标人参加本项目投标。</span></p>
<p><span>一、</span><span>标段（包）名称：车里垃圾填埋场改造PPP项目消石灰采购 </span></p>
<p><span>二、</span><span>标段（包）编号：20210502030124690001001</span></p>
<p><span>三、</span><span>采购方式：公开招标</span></p>
<p><span>四、</span><span>招标人（采购组织人）：中节能（福州）环保能源有限公司</span></p>
<p><span>五、</span><span>代理机构：北京国电工程招标有限公司</span></p>
<p><span>六、</span><span>项目概况：</span></p>
<p><span>（1）</span><span>资金来源：自筹</span></p>
<p><span>（2）</span><span>项目概况：本工程为新建项目，日处理生活垃圾1500吨，年处理生活垃圾54.75万吨。配置2×750t/d机械炉排炉＋2×15MW次高压中温高转速凝汽式汽轮机配2×18MW发电机组，焚烧线年运行8000小时。</span></p>
<p><span>七、</span><span>招标货物内容与数量：项目所用消石灰，合同有效期为合同签订后1年。暂定年用量为3500吨，具体以招标人确定的实际用量为准，双方将根据招标人确认的实际用量据实结算，具体范围及要求详见技术规范书。</span></p>
<p><span>八、</span><span>招标货物主要技术规格要求：详见技术规范书。</span></p>
<p><span>九、</span><span>招标货物交货期（工期）要求：合同有效期为合同签订后1年。合同签定后，招标人根据实际需求情况通知投标人供货，投标人收到招标人供货通知后3个日历日内完成供货。每批交货数量由招标人临时确定。投标人按时送货到现场，紧急情况时，投标人应24小时内供货到现场。</span></p>
<p><span>十、</span><span>招标货物交付地点：福州市长乐区航城街道车里垃圾填埋场西侧中节能（福州）环保能源有限公司厂内指定地点。</span></p>
<p><span>十一、</span><span>对投标人的资格要求：（一）本项目不接受联合体参与。 （二）其他资格要求： 1.投标人须在中华人民共和国境内依法注册并具有独立法人资格，主要经营范围包括本次招标内容。 2.投标人为生产厂家时，需提供相关生产资质。本标段接受代理商，代理商需提供2家及以上所供厂家授权证明； 3.投标人具有良好的商业信誉及健全的财务会计制度，企业运营正常，未处于歇业、被责令停业或破产等非正常状态，且资产未被重组、接管和冻结，须提供2017年度、2018年度和2019年度经会计师事务所审计的财务报告。 4.投标人必须提供生产许可证或提供具有检测资质的实验室出具的消石灰检测报告，化验报告时间为2021年1月1日至今并符合本采购技术指标要求。 5.信誉要求：未列入“国家企业信用信息公示系统”网站（http://www.gsxt.gov.cn）经营异常名录信息和严重违法失信企业名单（黑名单）信息；未列入“信用中国”网站（https://www.creditchina.gov.cn）失信被执行人名单；近三年内投标人或其法定代表人在“中国裁判文书网”（http://wenshu.court.gov.cn/）无行贿犯罪记录。 6.业绩要求：投标人在2017年1月1日（含）至今至少具有1项（含）以上符合技术规范书中所要求的理化性质的消石灰供货业绩（提供合同关键页复印件，包含项目名称、供货范围和签字盖章页等内容，时间以合同签订时间为准）。 7.最高限价：无。 8.其他要求：与招标人存在利害关系可能影响采购公正性的法人、其他组织，不得参加投标；单位负责人为同一人或者存在控股、管理关系的不同单位，不得参加同一标段的采购或者未划分标段的同一采购项目的投标。</span></p>
<p><span>十二、</span><span>是否允许联合体投标：本标段不接受联合体投标</span></p>
<p><span>十三、</span><span>资格审查方式：资格后审</span></p>
<p><span>十四、</span><span>招标文件的获取：</span></p>
<p><span>（1）</span><span>招标文件获取截止时间：2021年06月15日到2021年06月22日23时59分59秒</span></p>
<p><span>（2）</span><span>招标文件获取方式：通过中国节能环保集团有限公司电子采购平台（http://www.ebidding.cecep.cn/）选择本项目进行报名，完成平台服务费缴纳后，直接下载招标文件。</span></p>
<p><span>十五、</span><span>投标文件的递交：投标人须在投标截止时间前通过中国节能环保集团有限公司电子采购平台投标文件递交菜单（http://www.ebidding.cecep.cn/TPBidder）线上递交投标文件。</span></p>
<p><span>十六、</span><span>开标时间（暨投标截止时间）及地点：</span></p>
<p><span>（1）</span><span>开标时间：2021年07月06日 10时00分</span></p>
<p><span>（2）</span><span>开标地点：通过中国节能环保集团有限公司电子采购平台（http://www.ebidding.cecep.cn/）在线开标。</span></p>
<p><span>（3）</span><span>开标方式：通过中国节能环保集团有限公司电子采购平台（http://www.ebidding.cecep.cn/）在线开标。投标人须持数字证书（CA）在线参加开标会议并进行远程解锁及开标确认操作。</span></p>
<p><span>十七、投标保证金：</span></p>
<p><span>（1）</span><span>投标保证金金额：人民币40000.0元</span></p>
<p><span>（2）</span><span>接收投标保证金账户信息：</span></p>
<p><span>(3)</span> <span>保证金账号：收款账户名称：中国节能环保集团有限公司绿色供应链管理服务分公司<br/> 开户银行：上海浦东发展银行股份有限公司北京海淀园支行<br/> 收款账号：0154801391398</span></p>
<p><span>十八、平台操作说明：</span></p>
<p><span>(1)</span> <span>凡是拟参与中国节能环保集团有限公司电子采购平台投标活动的投标人需先在中国节能环保集团有限公司电子采购平台（http://www.ebidding.cecep.cn/）上</span><span>完成</span><span>注册</span><span>审核后，方可办理在线报名、缴纳平台服务费后获取下载招标文件。</span></p>
<p><span>(2)</span> <span>投标人须在注册同时提交</span><span>数字证书（CA）办理</span><span>资料</span><span>，</span><span>电子</span><span>采购平台所使用的数字证书（CA）办理方式见中国节能环保集团电子采购平台网站服务指南栏目《中国节能环保集团电子采购平台数字证书办理须知》（http://www.ebidding.cecep.cn/</span><span>）。投标人须</span><span>使用</span><span>《中国节能投标文件制作软件》配合</span><span>数字证书（CA）</span><span>完成投标文件编制上传，并在开标时使用</span><span>数字证书（CA）</span><span>完成开标解锁和开标结果确认等后续环节工作。</span></p>
<p><span>(3)</span> <span>电子采购平台技术服务热线：400</span><span>-</span><span>928</span><span>-</span><span>0095</span></p>
<p><span>十九、</span><span>公告发布媒介：本招标公告通过中国节能环保集团有限公司电子采购平台（http://www.ebidding.cecep.cn/）和中国招标投标公共服务平台（http://www.cebpubservice.com/）对外公开发布。</span></p>
<p><span>二十、</span><span>联系方式：</span></p>
<table>
<tbody>
<tr>
<td> <p><span>招标人（采购组织人）:中节能（福州）环保能源有限公司</span></p> </td>
<td> <p><span>代理机构:北京国电工程招标有限公司</span></p> </td>
</tr>
<tr>
<td> <p><span>地址:福州市长乐区航城街道车里垃圾填埋场西侧</span></p> </td>
<td> <p><span>地址:北京市石景山区银河大街6号院1号楼北楼一层西侧</span></p> </td>
</tr>
<tr>
<td> <p><span>联系人:</span></p> </td>
<td> <p><span>联系人:袁超</span></p> </td>
</tr>
<tr>
<td> <p><span>电话:</span></p> </td>
<td> <p><span>电话:010-68777764</span></p> </td>
</tr>
<tr>
<td> <p><span>邮箱:</span></p> </td>
<td> <p><span>邮箱:yuanchaocweme@163.com</span></p> </td>
</tr>
</tbody>
</table>
<p> </p>
<p> </p> 附件： 
  <a filelink="5b92dbe377ba9e517888105e875298cd" href="http://www.ebidding.cecep.cn/EpointWebBuilder/WebbuilderMIS/attach/downloadZtbAttach.jspx?attachGuid=108a8688-19a0-4ff7-8b22-1e2626ea21e1&amp;appUrlFlag=ztbAttach&amp;siteGuid=7eb5f7f1-9041-43ad-8e13-8fcb82ea831a" title="招标公告.pdf">招标公告.pdf</a>
<a data="5b92dbe377ba9e517888105e875298cd" href="http://www.bidizhaobiao.com/file/20210615/2021-06-15/DX006570/1623756674672.pdf" style="display:none">招标公告.pdf</a>
</div>
<span> 项目概况 </span>
<ul>
<li> 采购方式：公开招标</li>
<li> 资格审查：资格后审</li>
<li> 文件领取截止时间：2021-06-22</li>
<li> 文件递交截止时间：2021-07-06 10:00:00</li>
</ul>
<span> 公告内容 </span>
<div>
   附件： 
  <a filelink="5b92dbe377ba9e517888105e875298cd" href="http://www.ebidding.cecep.cn/EpointWebBuilder/WebbuilderMIS/attach/downloadZtbAttach.jspx?attachGuid=108a8688-19a0-4ff7-8b22-1e2626ea21e1&amp;appUrlFlag=ztbAttach&amp;siteGuid=7eb5f7f1-9041-43ad-8e13-8fcb82ea831a" title="招标公告.pdf">招标公告.pdf</a>
<a data="5b92dbe377ba9e517888105e875298cd" href="http://www.bidizhaobiao.com/file/20210615/2021-06-15/DX006570/1623756675715.pdf" style="display:none">招标公告.pdf</a>
</div>
<p></p>
<button onclick="baoming()"> 我要报名 </button>
<button onclick="zhuce()"> 我要注册 </button>
</div></body></html>
<div style="display:none;" class="richTextFetch">
</div></div>
                
      
'''
from bs4 import BeautifulSoup
import json
def process(dochtmlcon):
    doctextcon = ""
    attachmenttextcon = ""

    if dochtmlcon is not None:
        _soup = BeautifulSoup(dochtmlcon,"lxml")

        _find = _soup.find("div",attrs={"class":"richTextFetch"})
        if _find is not None:
            attachmenttextcon = _find.get_text()
            _find.decompose()
        doctextcon = _soup.get_text()
    print(doctextcon)
    print("==========")
    print(attachmenttextcon)

def getTitleFromHtml(filemd5,_html):
    _soup = BeautifulSoup(_html,"lxml")

    _find = _soup.find("a",attrs={"data":filemd5})
    _title = ""
    if _find is not None:
        _title = _find.get_text()
    return _title

def getSourceLinkFromHtml(filemd5,_html):
    _soup = BeautifulSoup(_html,"lxml")

    _find = _soup.find("a",attrs={"filelink":filemd5})
    filelink = ""
    if _find is None:
        _find = _soup.find("img",attrs={"filelink":filemd5})
        if _find is not None:
            filelink = _find.attrs.get("src","")
    else:
        filelink = _find.attrs.get("href","")
    return filelink

def turnAttachmentsFromHtml(dochtmlcon,page_attachments):
    new_attachments = json.loads(page_attachments)
    for _atta in new_attachments:
        fileMd5 = _atta.get("fileMd5")
        if fileMd5 is not None:
            fileTitle = getTitleFromHtml(fileMd5,dochtmlcon)
            fileLink = getSourceLinkFromHtml(fileMd5,dochtmlcon)
            _atta["fileTitle"] = fileTitle
            _atta["fileLink"] = fileLink
    print(new_attachments)
    return json.dumps(new_attachments,ensure_ascii=False)

def evaluate(dochtmlcon,page_attachments):
    new_page_attachments = None
    if page_attachments is not None:
        if "fileMd5" in page_attachments:
            new_page_attachments = turnAttachmentsFromHtml(dochtmlcon,page_attachments)
    return new_page_attachments

if __name__=="__main__":
    # process(_html)
    print(evaluate(_html,'[{"fileTitle":"招标公告.pdf","fileMd5":"5b92dbe377ba9e517888105e875298cd"},{"fileTitle":"招标公告.pdf","fileMd5":"5b92dbe377ba9e517888105e875298cd"}]'))